
From: Andi Kleen <ak@suse.de>

Add compat_sys_utimes for 32bit->64bit utimes conversion



 fs/compat.c |   13 +++++++++++++
 1 files changed, 13 insertions(+)

diff -puN fs/compat.c~compat_utimes fs/compat.c
--- 25/fs/compat.c~compat_utimes	2003-08-10 14:40:08.000000000 -0700
+++ 25-akpm/fs/compat.c	2003-08-10 14:40:08.000000000 -0700
@@ -53,6 +53,19 @@ asmlinkage long compat_sys_utime(char *f
 	return do_utimes(filename, t ? tv : NULL);
 }
 
+asmlinkage long compat_sys_utimes(char *filename, struct compat_timeval *t)
+{
+	struct timeval tv[2];
+
+	if (t) {
+		if (get_user(tv[0].tv_sec, &t[0].tv_sec) ||
+		    get_user(tv[0].tv_usec, &t[0].tv_usec) ||
+		    get_user(tv[1].tv_sec, &t[1].tv_sec) ||
+		    get_user(tv[1].tv_usec, &t[1].tv_usec))
+			return -EFAULT;
+	}
+	return do_utimes(filename, t ? tv : NULL);
+}
 
 asmlinkage long compat_sys_newstat(char * filename,
 		struct compat_stat *statbuf)

_
